package de.ozgcloud.user.organisationseinheit;

import static org.mockito.Mockito.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mockito.InjectMocks;
import org.mockito.Mock;

class OrganisationsEinheitServiceTest {

	@InjectMocks
	private OrganisationsEinheitService service;

	@Mock
	private OrganisationsEinheitRepository repository;

	@DisplayName("Get Organisationseinheiten")
	@Nested
	class TestGetOrganisationsEinheiten {

		@Test
		void shouldGetAllOrganisationsEinheitenForAllUsers() {
			service.findAllOrganisationsEinheitIds();

			verify(repository).findAllOrganisationsEinheitIds();
		}
	}

}